Skip to main content
Compute Management/Host Related Interfaces
PUTHost Related InterfacesSince 4.7.0SynchronousAuth Required

Update Bond Interface

Update Bond Interface

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Body Fields

  • updatebondingObjectRequired

    updatebonding request body object.

    • slaveUuidsList

      Slave NIC UUID list

    • slaveNamesList

      Slave NIC name list

    • typeString

      Bond type

    • modeString

      Bond mode

    • xmitHashPolicyString

      Hash policy

    • descriptionString

      Resource description

  • systemTagsList

    System tag

  • userTagsList

    User tag

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/hosts/bondings/{uuid}/actions

/zstack/v1/hosts/bondings/{uuid}/actions

Operation ID

UpdateBonding

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hosts/bondings/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebonding":{"slaveUuids":["<slaveUuids>"],"slaveNames":["<slaveNames>"],"type":"<type>","mode":"<mode>","xmitHashPolicy":"<xmitHashPolicy>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history